View Issue Details

IDProjectCategoryView StatusLast Update
17113Bug reportsSurvey editingpublic2021-03-08 12:29
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.4.7 
Summary17113: Randomization happen in survey logic file and in export
DescriptionWhen a survey is tested : randomization happen in survey logic file and in export.

16867 was for LS3.
This is for LS4
Steps To ReproduceImport included survey
Activate survey
Launch survey
Move next to see 1st page with question
Close test
Go to Survey logic file : cehck order
Got to export : check order
Additional InformationThe order are from the current survey.
We already have this issue before , fixed years ago …
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.7
I will donate to the project if issue is resolvedNo
Browsernot relevant ?
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.4

Relationships

related to 16867 closedgabrieljenik Randomization happen in survey logic file and in export 
related to 17143 new Bad order of VV and database column with randomiza 

Activities

gabrieljenik

gabrieljenik

2021-02-22 15:57

manager   ~62447

Killing survey session before running logic file and export
https://github.com/LimeSurvey/LimeSurvey/pull/1780
gabrieljenik

gabrieljenik

2021-03-01 12:45

manager   ~62573

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31230
lime_release_bot

lime_release_bot

2021-03-08 12:29

administrator   ~62883

Fixed in Release 4.4.11+210301

Related Changesets

LimeSurvey: master 60e3f83a

2021-03-01 12:16:50

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17113: Randomization happen in survey logic file and in export (#1780)

Killing survey session before running logic file and export
Affected Issues
17113
mod - application/controllers/admin/export.php Diff File
mod - application/controllers/admin/expressions.php Diff File

Issue History

Date Modified Username Field Change
2021-02-18 22:11 gabrieljenik New Issue
2021-02-18 22:11 gabrieljenik Issue generated from: 16867
2021-02-18 22:11 gabrieljenik Relationship added related to 16867
2021-02-22 15:57 gabrieljenik Note Added: 62447
2021-02-28 10:18 DenisChenu Relationship added related to 17143
2021-03-01 12:45 gabrieljenik Changeset attached => LimeSurvey master 60e3f83a
2021-03-01 12:45 gabrieljenik Note Added: 62573
2021-03-01 12:45 gabrieljenik Assigned To => gabrieljenik
2021-03-01 12:45 gabrieljenik Resolution open => fixed
2021-03-05 17:30 ollehar Status new => resolved
2021-03-08 12:29 lime_release_bot Note Added: 62883
2021-03-08 12:29 lime_release_bot Status resolved => closed